//
//  LLQ_HomeBottomBar.swift
//  PrivateBrowser
//
//  Created by MAC on 2022/6/9.
//

import Foundation
import UIKit
import SnapKit
import RxSwift
import RxCocoa
class LLQ_HomeBottomBarView : UIView {
    @IBOutlet var contentView: UIView!
    @IBOutlet weak var previousButton: UIButton!
    @IBOutlet weak var forwardButton: UIButton!
    @IBOutlet weak var homeButton: UIButton!
    @IBOutlet weak var windowsButton: UIButton!
    @IBOutlet weak var bottomConstraint: NSLayoutConstraint!
    private var disposeBg = DisposeBag()
    override func awakeFromNib() {
        super.awakeFromNib()
        
        Bundle.main.loadNibNamed("LLQ_HomeBottomBarView", owner: self, options: nil)
        self.addSubview(self.contentView)
        contentView.snp.makeConstraints { make in
            make.edges.equalToSuperview()
        }
        
        self.previousButton.isEnabled = false
        self.forwardButton.isEnabled = false

        
        self.bottomConstraint.constant = LLQ_APPConfigs.getWindow().safeAreaInsets.bottom > 0 ? LLQ_APPConfigs.getWindow().safeAreaInsets.bottom : 19
    }
    
    
}
